document.getElementById('downloadLayout').addEventListener('click', function() {
  console.log('點擊事件觸發');
  var elementA4 = document.querySelector('.form_format_2_bg_a4');
  var elementA5 = document.querySelector('.form_format_2_bg_a5');

  Promise.all([
    html2pdf(elementA4, {
      margin: 10,
      filename: '格式2發票a4.pdf',
      image: { type: 'jpeg', quality: 0.98 },
      html2canvas: { scale: 2 },
      jsPDF: { 
        unit: 'mm',
        format: 'a4',
        orientation: 'portrait',
        font: 'Arial',
        outputType: 'blob',
      }
    }),
    html2pdf(elementA5, {
      margin: 10,
      filename: '格式2發票a5.pdf',
      image: { type: 'jpeg', quality: 0.98 },
      html2canvas: { scale: 2 },
      jsPDF: { 
        unit: 'mm',
        format: 'a5',
        orientation: 'portrait',
        font: 'Arial',
        outputType: 'blob',
      }
    })
  ]).then(function(results) {
    // results 包含兩個 PDF 檔案的 Blob 對象，可以進行下載或其他處理
    // 例如使用 FileSaver.js 將 Blob 對象轉換為檔案並進行下載
    var a4Blob = results[0];
    var a5Blob = results[1];

    saveAs(a4Blob, '格式2發票a4.pdf');
    saveAs(a5Blob, '格式2發票a5.pdf');
  });
});

