var TwCitySelector = (function () {
    var init = function () {
        document.addEventListener("DOMContentLoaded", function () {
            var counties = ["台北市", "基隆市", "新北市", "宜蘭縣", "桃園市", "新竹市", "新竹縣", "苗栗縣", "台中市", "彰化縣", "南投縣", "嘉義市", "嘉義縣", "雲林縣", "台南市", "高雄市", "澎湖縣", "金門縣", "屏東縣", "台東縣", "花蓮縣", "連江縣"];

            var countySelect = document.getElementById("city");

            // 初始化縣市選項
            counties.forEach(function (county) {
                var option = document.createElement("option");
                option.value = county;
                option.text = county;
                countySelect.appendChild(option);
            });

            // 獲取網址中的參數
            var urlParams = new URLSearchParams(window.location.search);
            var cityParam = urlParams.get('city');

            // 如果有 city 參數，則預設選擇該縣市
            if (cityParam) {
                countySelect.value = cityParam;
            }
        });
    };

    return {
        init: init
    };
})();

// 調用初始化函數
TwCitySelector.init();
