import axios from 'axios';
import store from '@/store';

export async function fetchCompanyData(taxId) {
    await store.dispatch('FetchSeiToken');
    const jwtToken = store.state.token.jwtToken;
    const url = `${process.env.VUE_APP_API_BASE_URL}/api/get-business-data/${taxId}`;

    // 設置 axios 的標頭
    const config = {
        headers: {
            'Content-Type': 'application/json',
            'Authorization': `Bearer ${jwtToken}`
        }
    };

    if (window.location.hostname === 'localhost') {
        return Promise.resolve([
            {
                "Business_Accounting_NO": "52656366",
                "Company_Status_Desc": "核准設立",
                "Company_Name": "碳手印數位科技股份有限公司",
                "Capital_Stock_Amount": 80000000,
                "Paid_In_Capital_Amount": 50000000,
                "Responsible_Name": "李淑敏",
                "Company_Location": "臺北市中山區長安東路2段173號3樓之1",
                "Register_Organization_Desc": "臺北市政府",
                "Company_Setup_Date": "1060420",
                "Change_Of_Approval_Data": "1121020",
                "Revoke_App_Date": "",
                "Case_Status": "",
                "Case_Status_Desc": "",
                "Sus_App_Date": "",
                "Sus_Beg_Date": "",
                "Sus_End_Date": ""
            }
        ]);
    } else {
        return axios.get(url, config)
            .then(response => response.data.datas)
            .catch(error => console.error('Error fetching company data:', error));
    }
}
